package com.example.base.utils

import android.annotation.SuppressLint
import java.text.SimpleDateFormat
import java.util.Date

object TimeUtils {

    /**
     * 时间戳转换时间
     */
    fun getChangeTime(time: String, sdf: SimpleDateFormat): String? {
        return try {
            if (time.isNotEmpty()) {
                val date = if (time.length == 10) Date(time.toLong() * 1000) else Date(time.toLong())
                sdf.format(date)
            } else ""
        } catch (e: Exception) {
            ""
        }
    }

    /**
     * 将毫秒转化成固定格式的时间
     * 时间格式: yyyy-MM-dd-HHmmssSSS
     *
     * @param millisecond 时间毫秒
     * @return 时间格式: yyyy-MM-dd-HHmmssSSS
     */
    fun getDateTimeFromMillisecond(millisecond: Long?): String? {
        @SuppressLint("SimpleDateFormat") val simpleDateFormat = SimpleDateFormat("yyyy-MM-dd-HHmmssSSS")
        val date = Date(millisecond!!)
        return simpleDateFormat.format(date)
    }

}